<!DOCTYPE html>
<html>
  <head>
    <title>Task 13R Pizza 365</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- font -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Lato"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
    />

    <!-- Bootstrap -->
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  </head>

  <body onload="onPageLoading()">
    <!-- Menu -->
    <div class="container-fluid bg-light">
      <div class="row">
        <div class="col-sm-12">
          <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
            <button
              class="navbar-toggler"
              type="button"
              data-toggle="collapse"
              data-target="#navbarNav"
              aria-controls="navbarNav"
              aria-expanded="false"
              aria-label="Toggle navigation"
            >
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav nav-fill w-100">
                <li class="nav-item active">
                  <a class="nav-link" href="#" style="color: red">Home</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#plans" style="color: red">Plans</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#about" style="color: red">About</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#contact" style="color: red"
                    >Contact</a
                  >
                </li>
              </ul>
            </div>
          </nav>
        </div>
      </div>
    </div>

    <!-- Content -->
    <div class="container" style="padding: 120px 0 50px 0">
      <div class="row">
        <div class="col-sm-12">
          <div class="row">
            <!-- Title row home -->
            <div class="col-sm-12">
              <h1 style="color: blue"><b>Pizza 365</b></h1>
              <p style="font-style: italic; color: red">Truly italian!</p>
            </div>

            <!-- Slide row home -->
            <div class="col-sm-12">
              <div
                id="carouselExampleIndicators"
                class="carousel slide"
                data-ride="carousel"
              >
                <ol class="carousel-indicators">
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="0"
                    class="active"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="1"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="2"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="3"
                  ></li>
                  <li
                    data-target="#carouselExampleIndicators"
                    data-slide-to="4"
                  ></li>
                </ol>
                <div class="carousel-inner">
                  <div class="carousel-item active">
                    <img
                      class="d-block w-100"
                      src="images/anh_mon_1.jpg"
                      alt="First slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="images/anh_mon_02.jpg"
                      alt="Second slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="images/anh_mon_3.jpg"
                      alt="Third slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="images/anh_mon_4.jpg"
                      alt="Four slide"
                    />
                  </div>
                  <div class="carousel-item">
                    <img
                      class="d-block w-100"
                      src="images/anh_mon_5.jpg"
                      alt="Five slide"
                    />
                  </div>
                </div>
                <a
                  class="carousel-control-prev"
                  href="#carouselExampleIndicators"
                  role="button"
                  data-slide="prev"
                >
                  <span
                    class="carousel-control-prev-icon"
                    aria-hidden="true"
                  ></span>
                  <span class="sr-only">Previous</span>
                </a>
                <a
                  class="carousel-control-next"
                  href="#carouselExampleIndicators"
                  role="button"
                  data-slide="next"
                >
                  <span
                    class="carousel-control-next-icon"
                    aria-hidden="true"
                  ></span>
                  <span class="sr-only">Next</span>
                </a>
              </div>
            </div>

            <!-- Title what we offer -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
            </div>

            <!-- Content what we offer -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-3 p-4 bg-primary text-white border">
                  <h3 class="p-2">Không ngừng cải tiến</h3>
                  <p class="p-2">
                    Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn
                    là yếu tố tiên quyết trong chiến lược kinh doanh của chúng
                    tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza
                    hàng đầu.
                  </p>
                </div>
                <div class="col-sm-3 p-4 bg-success text-white border">
                  <h3 class="p-2">Trải nghiệm dễ dàng</h3>
                  <p class="p-2">
                    Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của
                    mọi nhà, mọi lúc, mọi nơi.
                  </p>
                </div>
                <div class="col-sm-3 p-4 bg-warning text-white border">
                  <h3 class="p-2">Hướng đến sự vượt trội</h3>
                  <p class="p-2">
                    "Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá
                    trị này là cốt lõi trong mỗi con người của chúng tôi, trong
                    mỗi công việc mà họ làm.
                  </p>
                </div>
                <div class="col-sm-3 p-4 bg-info text-white border">
                  <h3 class="p-2">Thể hiện đam mê</h3>
                  <p class="p-2">
                    Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều
                    chỉnh tùy theo thử thách để tìm ra giải pháp.
                  </p>
                </div>
              </div>
            </div>
          </div>

          <div id="plans" class="row">
            <!-- Title what we offer -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-1 border-bottom">Menu combo Pizza 365</b></h2>
              <p><span class="p-2">Hãy chọn combo phù hợp với bạn</span></p>
            </div>
            <!-- Content what we offer -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header bg-dark text-white text-center">
                      <h3>S ( Small size)</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                          Đường kính <b> 20 cm</b>
                        </li>
                        <li class="list-group-item">Sườn nướng <b>2</b></li>
                        <li class="list-group-item">Salad <b>200 gr</b></li>
                        <li class="list-group-item">Nước ngọt <b>2</b></li>
                        <li class="list-group-item">
                          <h1>VND <b>150.000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        class="btn btn-success"
                        id="btn-small"
                        onclick="onBtnSmallSizeClick()"
                        data-is-selected-menu="N"
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div
                      class="card-header bg-secondary text-white text-center"
                    >
                      <h3>M (Medium size)</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                          Đường kính <b> 25 cm</b>
                        </li>
                        <li class="list-group-item">Sườn nướng <b>4</b></li>
                        <li class="list-group-item">Salad <b> 300 gr</b></li>
                        <li class="list-group-item">Nước ngọt <b>3</b></li>
                        <li class="list-group-item">
                          <h1>VND <b>200.000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        class="btn btn-success"
                        id="btn-medium"
                        onclick="onBtnMediumSizeClick()"
                        data-is-selected-menu="N"
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header bg-dark text-white text-center">
                      <h3>L ( Large size )</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                          Đường kính <b> 30 cm</b>
                        </li>
                        <li class="list-group-item">Sườn nướng <b>8</b></li>
                        <li class="list-group-item">Salad <b> 500 gr</b></li>
                        <li class="list-group-item">Nước ngọt <b>4</b></li>
                        <li class="list-group-item">
                          <h1>VND <b>250.000</b></h1>
                        </li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button
                        class="btn btn-success"
                        id="btn-large"
                        onclick="onBtnLargeSizeClick()"
                        data-is-selected-menu="N"
                      >
                        Chọn
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div id="about" class="row">
            <!-- Title Who We Are -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Chọn loại pizza</b></h2>
            </div>

            <!-- Content Who We Are -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img src="images/pizza_type_ga.jpg" class="card-img-top" />
                    <div class="card-body">
                      <h3>Pizza gà</h3>
                      <p>Món mới của cửa hàng</p>
                      <p>
                        Hãy thưởng thức món ăn gà đồi. Hương vị thơm ngon, dễ
                        ăn.
                      </p>
                      <p>
                        <button
                          class="btn btn-info w-100"
                          id="btn-ga"
                          onclick="onBtnGaClick()"
                          data-is-selected-pizza="N"
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img
                      src="images/pizza_type_hai_san.jpg"
                      class="card-img-top"
                    />
                    <div class="card-body">
                      <h3>Pizza hải sản</h3>
                      <p>Món ăn đến từ biển</p>
                      <p>
                        Bạn đã thử pizza được chế biến từ nguyên liệu hải sản
                        chưa ?
                      </p>
                      <p>
                        <button
                          class="btn btn-info w-100"
                          id="btn-hai-san"
                          onclick="onBtnHaiSanClick()"
                          data-is-selected-pizza="N"
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem">
                    <img
                      src="images/pizza_type_thit_nuong.jpg"
                      class="card-img-top"
                    />
                    <div class="card-body">
                      <h3>Pizza thịt nướng</h3>
                      <p>Món ăn đăc biệt</p>
                      <p>
                        Được chế biến từ thịt bacon. Mang đến hương vị mới lạ.
                      </p>
                      <p>
                        <button
                          class="btn btn-info w-100"
                          id="btn-bacon"
                          onclick="onBtnBaconClick()"
                          data-is-selected-pizza="N"
                        >
                          Chọn
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div id="drink" class="row">
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Đồ Uống</b></h2>
            </div>
            <div class="col-md-12">
              <select id="select-drink" class="form-control">
                <option value="0">-- Chọn đồ uống --</option>
              </select>
            </div>
          </div>
          <div id="contact" class="row">
            <!-- Title Contact Us -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
            </div>

            <!-- Content Contact Us -->
            <div class="col-sm-12 p-2 jumbotron">
              <div class="row">
                <div class="col-sm-12">
                  <div class="form-group">
                    <label for="inp-name">Họ và tên</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-name"
                      placeholder="Họ và tên"
                    />
                  </div>
                  <div class="form-group">
                    <label for="email">Email</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-email"
                      placeholder="Email"
                    />
                  </div>
                  <div class="form-group">
                    <label for="inp-phone">Điện thoại</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-phone"
                      placeholder="Điện thoại"
                    />
                  </div>
                  <div class="form-group">
                    <label for="inp-address">Địa chỉ</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-address"
                      placeholder="Địa chỉ"
                    />
                  </div>
                  <div class="form-group">
                    <label for="message">Lời nhắn</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-message"
                      placeholder="Lời nhắn"
                    />
                  </div>
                  <div class="form-group">
                    <label for="inp-voucher">Mã giảm giá ( Voucher ID)</label>
                    <input
                      type="text"
                      class="form-control"
                      id="inp-voucher"
                      placeholder="Mã voucher..."
                    />
                  </div>
                  <button
                    type="button"
                    class="btn btn-success w-100"
                    id="btn-makeOder"
                    onclick="onBtnKiemTraDonClick()"
                  >
                    Kiểm tra đơn
                  </button>
                </div>
              </div>
            </div>
            <!-- vùng hiển thị thông tin đơn hàng(order) -->
            <div
              id="div-container-order"
              class="container bg-info p-2 jumbotron"
              style="display: none"
            >
              <div id="div-order-infor" class="text-white p-3">...</div>
              <div class="p-2">
                <button
                  type="button"
                  class="btn btn-warning w-100"
                  onclick="onBtnGuiDonClick()"
                >
                  Gửi đơn
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Footer -->
    <div class="container-fluid bg-light p-5">
      <div class="row text-center">
        <div class="col-sm-12">
          <h4 class="m-2">Footer</h4>
          <a href="#" class="btn btn-dark m-3"
            ><i class="fa fa-arrow-up"></i>To the top</a
          >
          <div class="m-2">
            <i class="fa fa-facebook-official w3-hover-opacity"></i>
            <i class="fa fa-instagram w3-hover-opacity"></i>
            <i class="fa fa-snapchat w3-hover-opacity"></i>
            <i class="fa fa-pinterest-p w3-hover-opacity"></i>
            <i class="fa fa-twitter w3-hover-opacity"></i>
            <i class="fa fa-linkedin w3-hover-opacity"></i>
          </div>
        </div>
      </div>
    </div>
  </body>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    // các combo Pizza
    const gCOMBO_SMALL = "Small";
    const gCOMBO_MEDIUM = "Medium";
    const gCOMBO_LARGE = "Large";

    // các loại pizza
    const gPIZZA_TYPE_GA = "Ga";
    const gPIZZA_TYPE_HAI_SAN = "HaiSan";
    const gPIZZA_TYPE_BACON = "Bacon";

    // trạng thái của server trả về, 200 = tìm thấy thành công!
    const gREQUEST_STATUS_FINISH_AND_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // hàm được gọi khi loading nhằm lấy list select drink
    function onPageLoading() {
      onGetDrinkListClick();
    }

    function onBtnSmallSizeClick() {
      "use strict";
      // gọi hàm đổi màu nút
      // chỉnh combo, combo được chọn là Small, đổi nút, và đánh dấu
      // data-is-selected-menu của nút Basic là Y, các nút khác là N
      changeComboButtonColor(gCOMBO_SMALL);
      //tạo một đối tượng menu, được tham số hóa
      var vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
      // gọi method hiển thị thông tin
      vSelectedMenuStructure.displayInConsoleLog();
    }
    // hàm được gọi khi bấm nút chọn kích cỡ M
    function onBtnMediumSizeClick() {
      "use strict";
      // gọi hàm đổi màu nút
      // chỉnh combo, combo được chọn là Medium, đổi nút, và đánh dấu
      // data-is-selected-menu của nút Basic là Y, các nút khác là N
      changeComboButtonColor(gCOMBO_MEDIUM);
      //tạo một đối tượng menu, được tham số hóa
      var vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
      // gọi method hiển thị thông tin
      vSelectedMenuStructure.displayInConsoleLog();
    }
    // hàm được gọi khi bấm nút chọn kích cỡ L
    function onBtnLargeSizeClick() {
      "use strict";
      // gọi hàm đổi màu nút
      // chỉnh combo, combo được chọn là Large, đổi nút, và đánh dấu
      // data-is-selected-menu của nút Basic là Y, các nút khác là N
      changeComboButtonColor(gCOMBO_LARGE);
      //tạo một đối tượng menu, được tham số hóa
      var vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
      // gọi method hiển thị thông tin
      vSelectedMenuStructure.displayInConsoleLog();
    }
    // hàm được gọi khi bấm nút chọn loại pizza gà
    function onBtnGaClick() {
      "use strict";
      // gọi hàm đổi màu nút
      // chỉnh loại pizza, loại pizza được chọn là GÀ , đổi nút, và đánh dấu
      // data-is-selected-pizza của nút gà là Y, các nút khác là N
      changeTypeButtonColor(gPIZZA_TYPE_GA);
      // ghi loại pizza đã chọn ra console
      console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_GA);
    }
    // hàm được gọi khi bấm nút chọn loại pizza Hải sản
    function onBtnHaiSanClick() {
      "use strict";
      // gọi hàm đổi màu nút
      // chỉnh loại pizza, loại pizza được chọn là Hải sản, đổi nút, và đánh dấu
      // data-is-selected-pizza của nút Hải sản là Y, các nút khác là N
      changeTypeButtonColor(gPIZZA_TYPE_HAI_SAN);
      // ghi loại pizza đã chọn ra console
      console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_HAI_SAN);
    }
    // hàm được gọi khi bấm nút chọn loại pizza Hun khói
    function onBtnBaconClick() {
      "use strict";
      // gọi hàm đổi màu nút
      // chỉnh loại pizza, loại pizza được chọn là Bacon, đổi nút, và đánh dấu
      // data-is-selected-pizza của nút Bacon là Y, các nút khác là N
      changeTypeButtonColor(gPIZZA_TYPE_BACON);
      // ghi loại pizza đã chọn ra console
      console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_BACON);
    }
    // Hàm được gọi khi click nút kiểm tra đơn
    function onBtnKiemTraDonClick() {
      console.log("%c Kiểm tra đơn", "color: orange;");
      // Bước 1: Đọc
      var vOrder = getOrder();
      //Bước 2: kiểm tra
      var vKetQuaKiemTra = checkValidatedForm(vOrder);
      if (vKetQuaKiemTra) {
        //Bước 3: gọi và xử lý API để lấy voucher
        findVoucherByAPI(vOrder);
        //Bước 4: Hiển thị
        showOrderInfo(vOrder);
      }
    }

    //Hàm được gọi khi ấn nút Gửi đơn
    function onBtnGuiDonClick() {
      var vOrder = getOrder();
      findVoucherByAPI(vOrder);
      inThongTinRaConsole(vOrder);
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //function get combo (lấy menu được chọn)
    //function trả lại một đối tượng combo (menu được chọn) được tham số hóa
    function getComboSelected(
      paramMenuName,
      paramDuongKinhCM,
      paramSuongNuong,
      paramSaladGr,
      paramDrink,
      paramPriceVND
    ) {
      var vSelectedMenu = {
        menuName: paramMenuName, // S, M, L
        duongKinhCM: paramDuongKinhCM,
        suongNuong: paramSuongNuong,
        saladGr: paramSaladGr,
        drink: paramDrink,
        priceVND: paramPriceVND,
        displayInConsoleLog() {
          console.log("%cPLAN MENU COMBO - .........", "color:blue");
          console.log(this.menuName); //this = "đối tượng này"
          console.log("duongKinhCM: " + this.duongKinhCM);
          console.log("suongNuong: " + this.suongNuong);
          console.log("saladGr: " + this.saladGr);
          console.log("drink:" + this.drink);
          console.log("priceVND: " + this.priceVND);
        },
      };
      return vSelectedMenu;
    }

    // hàm thu thập(đọc) thông tin khách hàng
    function getOrder() {
      var vBtnBasic = document.getElementById("btn-small"); // truy vấn nút chọn kích cỡ small
      var vMenuBasicDaChon = vBtnBasic.getAttribute("data-is-selected-menu");
      var vBtnMedium = document.getElementById("btn-medium"); //truy vấn nút chọn kích cỡ medium
      var vMenuMediumDaChon = vBtnMedium.getAttribute("data-is-selected-menu");
      var vBtnLarge = document.getElementById("btn-large"); //truy vấn nút chọn kích cỡ large
      var vMenuLargeDaChon = vBtnLarge.getAttribute("data-is-selected-menu");
      var vSelectedMenuStructure = getComboSelected("", 0, 0, 0, 0, 0);
      if (vMenuBasicDaChon === "Y") {
        vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
      } else if (vMenuMediumDaChon === "Y") {
        vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
      } else if (vMenuLargeDaChon === "Y") {
        vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
      }
      var vBtnGa = document.getElementById("btn-ga"); // truy vấn nút chọn loại pizza gà
      var vPizzaGaDaChon = vBtnGa.getAttribute("data-is-selected-pizza");
      var vBtnHaiSan = document.getElementById("btn-hai-san"); //truy vấn nút chọn loại pizza hải sản
      var vPizzaHaiSanDaChon = vBtnHaiSan.getAttribute(
        "data-is-selected-pizza"
      );
      var vBtnBacon = document.getElementById("btn-bacon"); //truy vấn nút chọn loại pizza bacon
      var vPizzaBaconDaChon = vBtnBacon.getAttribute("data-is-selected-pizza");
      var vLoaiPizza = "";
      if (vPizzaGaDaChon === "Y") {
        vLoaiPizza = gPIZZA_TYPE_GA;
      } else if (vPizzaHaiSanDaChon === "Y") {
        vLoaiPizza = gPIZZA_TYPE_HAI_SAN;
      } else if (vPizzaBaconDaChon === "Y") {
        vLoaiPizza = gPIZZA_TYPE_BACON;
      }
      var vElementInputName = document.getElementById("inp-name");
      var vValueInputName = vElementInputName.value;

      var vElementInputEmail = document.getElementById("inp-email");
      var vValueInputEmail = vElementInputEmail.value;

      var vElementInputPhone = document.getElementById("inp-phone");
      var vValueInputPhone = vElementInputPhone.value;

      var vElementInputAddress = document.getElementById("inp-address");
      var vValueInputAddress = vElementInputAddress.value;

      var vElementInputMessage = document.getElementById("inp-message");
      var vValueInputMessage = vElementInputMessage.value;

      var vElementInputVoucherID = document.getElementById("inp-voucher");
      var vValueInputVoucherID = vElementInputVoucherID.value;

      var vSelectDrink = document.getElementById("select-drink");
      var vCodeDrink = vSelectDrink.value;

      var vPercent = 0;
      var vOrderInfo = {
        menuCombo: vSelectedMenuStructure,
        loaiPizza: vLoaiPizza,
        loaiNuocUong: vCodeDrink,
        hoVaTen: vValueInputName,
        email: vValueInputEmail,
        dienThoai: vValueInputPhone,
        diaChi: vValueInputAddress,
        loiNhan: vValueInputMessage,
        voucher: vValueInputVoucherID,
        phanTramGiamGia: vPercent,
        priceAnnualVND: function () {
          var vTotal =
            this.menuCombo.priceVND * (1 - this.phanTramGiamGia / 100);

          return vTotal;
        },
      };
      return vOrderInfo;
    }

    // ham kiem tra thong tin dat hang
    // input: doi tuong khach hang
    // output: dung/ sai (true/ false)
    function checkValidatedForm(paramOrder) {
      if (paramOrder.menuCombo.menuName === "") {
        alert("Chọn combo pizza...");
        return false;
      }
      if (paramOrder.loaiPizza === "") {
        alert("Chọn loại pizza...");
        return false;
      }
      if (paramOrder.loaiNuocUong == 0) {
        alert("Chọn loại nước uống...");
        return false;
      }
      if (paramOrder.hoVaTen === "") {
        alert("Nhập họ và tên");
        return false;
      }
      if (isEmail(paramOrder.email) == false) {
        return false;
      }

      if (paramOrder.dienThoai === "") {
        alert("Nhập vào số điện thoại...");
        return false;
      }
      if (paramOrder.diaChi === "") {
        alert("Địa chỉ không để trống...");
        return false;
      }
      return true;
    }
    // hàm đổi mầu nút khi chọn combo
    function changeComboButtonColor(paramPlan) {
      var vBtnBasic = document.getElementById("btn-small"); // truy vấn nút chọn kích cỡ small
      var vBtnMedium = document.getElementById("btn-medium"); //truy vấn nút chọn kích cỡ medium
      var vBtnLarge = document.getElementById("btn-large"); //truy vấn nút chọn kích cỡ large

      if (paramPlan === gCOMBO_SMALL) {
        //nếu chọn menu Small thì thay màu nút chọn kích cỡ small bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
        // đổi giá trị data-is-selected-menu
        vBtnBasic.className = "btn btn-warning";
        vBtnBasic.setAttribute("data-is-selected-menu", "Y");
        vBtnMedium.className = "btn btn-success";
        vBtnMedium.setAttribute("data-is-selected-menu", "N");
        vBtnLarge.className = "btn btn-success";
        vBtnLarge.setAttribute("data-is-selected-menu", "N");
      } else if (paramPlan === gCOMBO_MEDIUM) {
        //nếu chọn menu Medium thì thay màu nút chọn kích cỡ Medium bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
        // đổi giá trị data-is-selected-menu
        vBtnBasic.className = "btn btn-success";
        vBtnBasic.setAttribute("data-is-selected-menu", "N");
        vBtnMedium.className = "btn btn-warning";
        vBtnMedium.setAttribute("data-is-selected-menu", "Y");
        vBtnLarge.className = "btn btn-success";
        vBtnLarge.setAttribute("data-is-selected-menu", "N");
      } else if (paramPlan === gCOMBO_LARGE) {
        //nếu chọn menu Large thì thay màu nút chọn kích cỡ Large bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
        // đổi giá trị data-is-selected-menu
        vBtnBasic.className = "btn btn-success";
        vBtnBasic.setAttribute("data-is-selected-menu", "N");
        vBtnMedium.className = "btn btn-success";
        vBtnMedium.setAttribute("data-is-selected-menu", "N");
        vBtnLarge.className = "btn btn-warning";
        vBtnLarge.setAttribute("data-is-selected-menu", "Y");
      }
    }

    // hàm đổi mầu nút khi chọn loại pizza
    function changeTypeButtonColor(paramType) {
      var vBtnGa = document.getElementById("btn-ga"); // truy vấn nút chọn loại pizza gà
      var vBtnHaiSan = document.getElementById("btn-hai-san"); //truy vấn nút chọn loại pizza hải sản
      var vBtnBacon = document.getElementById("btn-bacon"); //truy vấn nút chọn loại pizza bacon

      if (paramType === gPIZZA_TYPE_GA) {
        //nếu chọn loại pizza Gà thì thay màu nút chọn loại pizza gà bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
        // đổi giá trị data-is-selected-pizza
        vBtnGa.className = "btn btn-warning w-100";
        vBtnGa.setAttribute("data-is-selected-pizza", "Y");
        vBtnHaiSan.className = "btn btn-success w-100";
        vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");
        vBtnBacon.className = "btn btn-success w-100";
        vBtnBacon.setAttribute("data-is-selected-pizza", "N");
      } else if (paramType === gPIZZA_TYPE_HAI_SAN) {
        //nếu chọn loại pizza Hải sản thì thay màu nút chọn loại pizza Hải sản bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
        // đổi giá trị data-is-selected-pizza
        vBtnGa.className = "btn btn-success w-100";
        vBtnGa.setAttribute("data-is-selected-pizza", "N");
        vBtnHaiSan.className = "btn btn-warning w-100";
        vBtnHaiSan.setAttribute("data-is-selected-pizza", "Y");
        vBtnBacon.className = "btn btn-success w-100";
        vBtnBacon.setAttribute("data-is-selected-pizza", "N");
      } else if (paramType === gPIZZA_TYPE_BACON) {
        //nếu chọn loại pizza Bacon thì thay màu nút chọn loại pizza Bacon bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
        // đổi giá trị data-is-selected-pizza
        vBtnGa.className = "btn btn-success w-100";
        vBtnGa.setAttribute("data-is-selected-pizza", "N");
        vBtnHaiSan.className = "btn btn-success w-100";
        vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");
        vBtnBacon.className = "btn btn-warning w-100";
        vBtnBacon.setAttribute("data-is-selected-pizza", "Y");
      }
    }

    // Hàm tìm kiếm voucher trong Array
    function getVoucherById(paramVoucherID) {
      "use strict";
      var vVoucherIndex = 0;
      var vIsFound = false; // đã tìm thấy voucher chưa?
      var vVoucherObj = null; // đối tượng chứa voucher được tìm thấy
      // Khi chưa tìm thấy voucher và chưa tìm hết voucher: thì còn tìm tiếp
      while (vIsFound == false && vVoucherIndex < gDiscountVouchers.length) {
        // tìm voucher tiếp
        if (gDiscountVouchers[vVoucherIndex].voucherID == paramVoucherID) {
          vIsFound = true;
          vVoucherObj = gDiscountVouchers[vVoucherIndex];
        } else {
          vVoucherIndex++;
        }
      }
      return vVoucherObj;
    }
    //hàm kiểm tra email
    function isEmail(paramEmail) {
      if (paramEmail < 3) {
        alert("Nhập email...");
        return false;
      }
      if (paramEmail.indexOf("@") === -1) {
        alert("Email phải có ký tự @");
        return false;
      }
      if (paramEmail.startsWith("@") === true) {
        alert("Email không bắt đầu bằng @");
        return false;
      }
      if (paramEmail.endsWith("@") === true) {
        alert("Email kết thúc bằng @");
        return false;
      }
      return true;
    }

    //gọi và xử lý API để lấy tên drink
    //mã nguồn để load data drink list (danh sách loại nước uống) về
    function onGetDrinkListClick() {
      "use strict";
      var vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
      var vXhttp = new XMLHttpRequest();
      vXhttp.open("GET", vBASE_URL, true);
      vXhttp.send();
      vXhttp.onreadystatechange = function () {
        if (
          this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
          this.status == gREQUEST_STATUS_FINISH_AND_OK
        ) {
          var vJsonToObj = JSON.parse(vXhttp.responseText);
          console.log(vJsonToObj);
          loadDataToDrinkSelect(vJsonToObj); // ghi response text vào select html
        }
      };
    }

    // hàm thực hiện việc load dữ liệu subject vào Select
    function loadDataToDrinkSelect(paramXmlHttpRequestText) {
      // adding the options to select html element
      var vSelectDrinkElement = document.getElementById("select-drink");
      for (
        var bIterator = 0;
        bIterator < paramXmlHttpRequestText.length;
        bIterator++
      ) {
        // tạo option mới
        var bDrinkOptionElement = document.createElement("option");
        bDrinkOptionElement.value =
          paramXmlHttpRequestText[bIterator].maNuocUong;
        //{maNuocUong: 'TRATAC', tenNuocUong: 'Trà tắc', donGia: 10000, ghiChu: null, ngayTao: 1615177934000, …}
        bDrinkOptionElement.text =
          paramXmlHttpRequestText[bIterator].tenNuocUong;
        // thêm vào select html element
        vSelectDrinkElement.appendChild(bDrinkOptionElement);
      }
    }

    //gọi và xử lý API để lấy voucher
    function findVoucherByAPI(paramOrder) {
      var vXmlHttp = new XMLHttpRequest();
      //gọi API
      callAPI(paramOrder, vXmlHttp);
      //xử lý API
      var vPercent = parseInt(processResponseData(paramOrder, vXmlHttp));
      paramOrder.phanTramGiamGia = vPercent;
    }

    // 3. Gọi API
    function callAPI(paramOrder, paramXMLHttpRequest) {
      paramXMLHttpRequest.open(
        "GET",
        "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/" +
          paramOrder.voucher,
        false
      );
      paramXMLHttpRequest.send();
    }

    //4. Xử lý dữ liệu trả về
    function processResponseData(paramOrder, paramXMLHttpRequest) {
      var vStatusCode = paramXMLHttpRequest.status;
      var vPhanTramGiamGia = paramOrder.phanTramGiamGia;
      // nếu trạng thái trả về thành công!
      if (vStatusCode == gREQUEST_STATUS_FINISH_AND_OK) {
        // nhận lại response dạng JSON ở xmlHttp.responseText và chuyển thành object
        //console.log(paramXMLHttpRequest.responseText);
        var vVoucherObject = JSON.parse(paramXMLHttpRequest.responseText);
        vPhanTramGiamGia = vVoucherObject.phanTramGiamGia;
      } else {
        vPhanTramGiamGia = 0;
      }
      return vPhanTramGiamGia;
    }

    /// hàm show thông tin đặt hàng
    function showOrderInfo(paramOrder) {
      var vDivContainer = document.getElementById("div-container-order");
      var vDivOrderInfo = document.getElementById("div-order-infor");
      vDivContainer.style.display = "block";
      vDivOrderInfo.innerHTML = "Họ và tên: " + paramOrder.hoVaTen + "<br>";
      vDivOrderInfo.innerHTML += "Email: " + paramOrder.email + "<br>";
      vDivOrderInfo.innerHTML += "Địa chỉ: " + paramOrder.diaChi + "<br>";
      vDivOrderInfo.innerHTML += "Lời nhắn: " + paramOrder.loiNhan + "<br>";
      vDivOrderInfo.innerHTML +=
        "....................................." + "<br>";
      vDivOrderInfo.innerHTML +=
        "Kích cỡ: " + paramOrder.menuCombo.menuName + "<br>";
      vDivOrderInfo.innerHTML +=
        "Đường kính: " + paramOrder.menuCombo.duongKinhCM + "<br>";
      vDivOrderInfo.innerHTML +=
        "Sườn nướng: " + paramOrder.menuCombo.suongNuong + "<br>";
      vDivOrderInfo.innerHTML +=
        "Salad : " + paramOrder.menuCombo.saladGr + "<br>";
      vDivOrderInfo.innerHTML +=
        "Nước Ngọt : " + paramOrder.menuCombo.drink + "<br>";
      vDivOrderInfo.innerHTML +=
        "Loại nước uống : " + paramOrder.loaiNuocUong + "<br>";
      vDivOrderInfo.innerHTML +=
        "....................................." + "<br>";
      vDivOrderInfo.innerHTML +=
        "Loại pizza : " + paramOrder.loaiPizza + "<br>";
      vDivOrderInfo.innerHTML += "Mã voucher : " + paramOrder.voucher + "<br>";
      vDivOrderInfo.innerHTML +=
        "Giá vnd : " + paramOrder.menuCombo.priceVND + "<br>";
      vDivOrderInfo.innerHTML +=
        "Discount %: " + paramOrder.phanTramGiamGia + "<br>";
      vDivOrderInfo.innerHTML +=
        "Phải thanh toán vnd: " + paramOrder.priceAnnualVND();
    }

    // Hàm ghi thông tin đặt hàng ra console
    function inThongTinRaConsole(paramOrder) {
      console.log("%c Thông tin đặt hàng", "color: green;");
      console.log("Họ và tên: " + paramOrder.hoVaTen);
      console.log("Email: " + paramOrder.email);
      console.log("Địa chỉ: " + paramOrder.diaChi);
      console.log("Lời nhắn: " + paramOrder.loiNhan);
      console.log(".....................................");
      console.log("Kích cỡ: " + paramOrder.menuCombo.menuName);
      console.log("Đường kính: " + paramOrder.menuCombo.duongKinhCM);
      console.log("Sườn nướng: " + paramOrder.menuCombo.suongNuong);
      console.log("Salad : " + paramOrder.menuCombo.saladGr);
      console.log("Nước Ngọt : " + paramOrder.menuCombo.drink);
      console.log("Loại nước uống : " + paramOrder.loaiNuocUong);
      console.log(".....................................");
      console.log("Loại pizza : " + paramOrder.loaiPizza);
      console.log("Mã voucher : " + paramOrder.voucher);
      console.log("Giá vnd : " + paramOrder.menuCombo.priceVND);
      console.log("Discount %: " + paramOrder.phanTramGiamGia);
      console.log("Phải thanh toán vnd: " + paramOrder.priceAnnualVND());
    }
  </script>
</html>
